/*  $Source: /u/maple/research/help/algcurves/RCS/homogeneous.i,v $   */
/*  $Notify: hoeij@sci.kun.nl $ */
\FUNCTION{homogeneous}{Make a polynomial in two variables homogeneous in three variables.}

\CALLINGSEQ
\callseqitem{homogeneous({\var f},{\var x},{\var y},{\var z})}

\PARAMETERS
\paramitem{{f}}{a polynomial in x and y}
\paramitem{{\var x},{\var y},{\var z}}{variables}

\SYNOPSIS
\synopsisitem{
   Algebraic curves are often represented using a polynomial in two variables,
   or as a homogeneous polynomial in three variables. This procedure converts
   to the homogeneous representation.}

\synopsisitem{
   If {\var f} is a polynomial in {\var x} and {\var y} of degree d, and
   {\var f} can be written as Sum c[i,j] * x^i * y^j for some coefficients c[i,j],
   then the output of this procedure is Sum c[i,j] * x^i * y^j * z^(d-i-j).}

\EXAMPLES
\begin{mapleinput}
with(algcurves):
f:=y^2-x^3;
homogeneous(f,x,y,z);
 # Now one can convert back as follows:
subs(z=1,%);
\end{mapleinput}

\SEEALSO{\xref{algcurves}}
